Bug 1486400 (CVE-2017-13711)

Summary: CVE-2017-13711 QEMU: Slirp: use-after-free when sending response
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amitshah, apevec, areis, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, imammedo, itamar, jasowang, jen, jforbes, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mburns, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, slinaber, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20170803,reported=20170619,source=researcher,cvss2=2.9/AV:A/AC:M/Au:N/C:N/I:N/A:P,cvss3=3.4/CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:C/C:N/I:N/A:L,cwe=CWE-416,rhel-5/kvm=wontfix,rhel-5/xen=notaffected,rhel-6/qemu-kvm=affected,rhel-7/qemu-kvm=affected,rhel-7/qemu-kvm-rhev=affected,openstack-5/qemu-kvm-rhev=wontfix,openstack-6/qemu-kvm-rhev=wontfix,openstack-7/qemu-kvm-rhev=wontfix,openstack-8/qemu-kvm-rhev=affected,openstack-9/qemu-kvm-rhev=affected,openstack-10/qemu-kvm-rhev=affected,openstack-11/qemu-kvm-rhev=affected,openstack-12/qemu-kvm-rhev=affected,fedora-all/qemu=affected,fedora-all/xen=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A use-after-free issue was found in the Slirp networking implementation of the Quick emulator (QEMU). It occurs when a Socket referenced from multiple packets is freed while responding to a message. A user/process could use this flaw to crash the QEMU process on the host resulting in denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:22:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1486401, 1508739, 1508742, 1508743, 1508744, 1508745, 1508746, 1508747, 1508748, 1508749, 1508750, 1508751, 1508752, 1508753, 1509208, 1520690    
Bug Blocks: 1462816, 1520691    

Description Prasad J Pandit 2017-08-29 16:07:25 UTC
Quick emulator(Qemu) built with the Slirp networking support is vulnerable
to an use-after-free issue. It occurs due to Socket referenced from multiple
packets is freed while responding to a message.

A user/process could use this flaw to crash the Qemu process on the host
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-08/msg05201.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/08/29/6

Comment 1 Prasad J Pandit 2017-08-29 16:08:05 UTC
Acknowledgments:

Name: Wjjzhang (Tencent.com)

Comment 2 Prasad J Pandit 2017-08-29 16:09:12 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1486401]

Comment 3 Joshua Padman 2017-10-16 04:22:19 UTC
Changed openstack to affected / fix. We will be getting this from y-stream

Comment 4 Prasad J Pandit 2017-11-02 06:37:43 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1508739]

Comment 17 errata-xmlrpc 2018-04-10 08:22:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0816 https://access.redhat.com/errata/RHSA-2018:0816

Comment 18 errata-xmlrpc 2018-04-10 18:55:14 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for RHEL-7

Via RHSA-2018:1104 https://access.redhat.com/errata/RHSA-2018:1104

Comment 19 errata-xmlrpc 2018-04-11 18:02:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)
  Red Hat OpenStack Platform 12.0 (Pike)

Via RHSA-2018:1113 https://access.redhat.com/errata/RHSA-2018:1113